### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XUartLite_Stats Struct Reference

## Detailed Description

Statistics for the XUartLite driver

## Data Fields

u32 | TransmitInterrupts
u32 | ReceiveInterrupts
u32 | CharactersTransmitted
u32 | CharactersReceived
u32 | ReceiveOverrunErrors
u32 | ReceiveParityErrors
u32 | ReceiveFramingErrors

## Field Documentation

u32 XUartLite_Stats::CharactersReceived

| Number of characters received

u32 XUartLite_Stats::CharactersTransmitted

| Number of characters transmitted

u32 XUartLite_Stats::ReceiveFramingErrors

| Number of receive framing errors

u32 XUartLite_Stats::ReceiveInterrupts

| Number of receive interrupts

u32 XUartLite_Stats::ReceiveOverrunErrors

| Number of receive overruns

u32 XUartLite_Stats::ReceiveParityErrors

| Number of receive parity errors

u32 XUartLite_Stats::TransmitInterrupts

| Number of transmit interrupts

The documentation for this struct was generated from the following file:

- xuartlite.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.